Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class Evidence

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.Evidence

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class Evidence
extends ASN1Object
implements ASN1Choice

RFC 5544: Binding Documents with Time-Stamps; Evidence object.

Evidence ::= CHOICE { tstEvidence [0] TimeStampTokenEvidence, -- see RFC 3161 ersEvidence [1] EvidenceRecord, -- see RFC 4998 otherEvidence [2] OtherEvidence }

Constructor Summary
`Evidence(EvidenceRecord ersEvidence)`
`Evidence(TimeStampTokenEvidence tstEvidence)`

Method Summary
`EvidenceRecord` | `getErsEvidence()`
`static Evidence` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static Evidence` | `getInstance(java.lang.Object obj)` Return an Evidence object from the given object.
`TimeStampTokenEvidence` | `getTstEvidence()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Evidence

    public Evidence(TimeStampTokenEvidence tstEvidence)

### Evidence

    public Evidence(EvidenceRecord ersEvidence)

Method Detail

### getInstance

    public static Evidence getInstance(java.lang.Object obj)

  Return an Evidence object from the given object.

  Accepted inputs: `Evidence` object `ASN1TaggedObject` input formats with Evidence data inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static Evidence getInstance(ASN1TaggedObject obj,
                                       boolean explicit)

### getTstEvidence

    public TimeStampTokenEvidence getTstEvidence()

### getErsEvidence

    public EvidenceRecord getErsEvidence()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD